Search found 168 matches

by rych
05 Jun 2018, 08:21
Forum: x86_64 xzm module requests
Topic: perl-tk compatible with perl [Solved]
Replies: 2
Views: 600

perl-tk compatible with perl [Solved]

I'm having a problem finding a compatible perl-tk for Porteus 4.0. I use TexLive GUI manager which required a "Perl/Tk module". In the past, getting the perl-tk from USM and activating the perl-tk-804.033-x86_64-2_slonly.xzm worked. Not anymore: # tlmgr -gui Event.c: loadable library and perl binari...
by rych
23 May 2018, 07:36
Forum: x86_64 xzm modules
Topic: LyX 2.3.0 [Solved]
Replies: 7
Views: 2840

LyX 2.3.0

@jssouza, it's amazing how fast you can fix these things. Thank you, it works now with spellchecking! I had to activate additionally

Code: Select all

hunspell-en-2017.01.22-noarch-1_slonly.xzm
mythes-dict-en.xzm
by rych
21 May 2018, 07:23
Forum: x86_64 xzm modules
Topic: LyX 2.3.0 [Solved]
Replies: 7
Views: 2840

LyX 2.3.0 [Solved]

I think it's worth making a separate thread for this. I'm looking for a LyX 2.3.0 built against Qt 5.9.5 of @jssouza (or for Qt 5.10 but then the Qt 5.10 itself is needed) with spell checking support. We have Lyx 2.3.0 thanks to @jssouza, which works on Qt 5.9.5, but, curiously, spell-checker seems ...
by rych
21 May 2018, 06:38
Forum: x86_64 xzm modules
Topic: Qt 5.9.5 for Porteus 4.0
Replies: 13
Views: 2953

Qt 5.9.5 for Porteus 4.0

@fulalas , if there were indeed a user-friendly tool to prebuild a subset of Qt, I'd try to use it. For now, it's great to have your help. By the way, why not Qt 5.10? I'd like to try and convert one of https://opensuse.pkgs.org/tumbleweed/opensuse-oss/lyx-2.3.0-2.1.x86_64.rpm.html or https://archl...
by rych
21 May 2018, 06:03
Forum: x86_64 xzm module requests
Topic: Qt5 (for lyx, qpdfview, texstudio) [Solved]
Replies: 9
Views: 2135

Qt5 (for lyx, qpdfview, texstudio) [Solved]

@jssouza, Another way woud be to build lyx 2.3 with Qt 5.9.1. So, I compiled lyx 2.3 with qt 5.9.1 and it seems working. Please check. Actually, one important thing does not work: the spellchecker. Spellchecker preferences are disabled, grayed out. I have teh aspell, hunspell, enchant all installed ...
by rych
20 May 2018, 03:39
Forum: x86_64 xzm modules
Topic: Qt 5.9.5 for Porteus 4.0
Replies: 13
Views: 2953

Qt 5.9.5 for Porteus 4.0

Thank you so much for these. It solved the problem that I had run into having upgraded to Porteus 4.0: my Qt apps (lyx, texstudio, qpdfview) that used to work on Porteus 3.2.2 using qt5-5.9.1-x86_64-1jss.xzm complained about missing libraries. It was apparently the Qt itself that was built against o...
by rych
12 May 2018, 11:47
Forum: Bug Reports
Topic: LXDE: GDBus.Error about ConsoleKit [Solved]
Replies: 10
Views: 1879

Porteus-v4.0 LXDE experience

Found the problem: it was wrong to treat the .iso file as an archive and use "Extract To" to copy files. I mounted the.iso file properly and then copied files from it, and now it works. As for LXDE vs. KDE: during my trials, I booted the KDE version on my old laptop and it crawled, was barely usable...
by rych
11 May 2018, 06:35
Forum: Bug Reports
Topic: LXDE: GDBus.Error about ConsoleKit [Solved]
Replies: 10
Views: 1879

Porteus-v4.0 LXDE experience

@fulalas, yes adding "login=root" to the "Always Fresh" allows me to boot into root and not see the error. Overall LXDE in this case looks less broken throughout e.g., disk labels in File Manager Places panel are displayed, and more restarting options suddenly appear. Regarding interference, I insta...
by rych
10 May 2018, 10:19
Forum: Bug Reports
Topic: LXDE: GDBus.Error about ConsoleKit [Solved]
Replies: 10
Views: 1879

Porteus-v4.0 LXDE experience

@fulalas, sorry I'd have to learn first what VBox is and how to do it. Maybe it's easy I've just never done it. I have tried to boot on a different computer (a slightly older, but still rather new, model of Dell Optiplex). The same messages appeared. I have then installed the LXQt variant of porteus...
by rych
09 May 2018, 08:37
Forum: Bug Reports
Topic: LXDE: GDBus.Error about ConsoleKit [Solved]
Replies: 10
Views: 1879

Porteus-v4.0 LXDE experience

@fulalas , @Ed_P , thank you for suggestions. Firstly, let me add a little detail that on the console screen, Ctrl+Alt+F1, after INIT: Entering runlevel 4 the next line reads Unable to cd to /home/guest, although the directory is there, I've checked. Trying 'Always Fresh' works (better?) in the fol...
by rych
08 May 2018, 08:21
Forum: Bug Reports
Topic: LXDE: GDBus.Error about ConsoleKit [Solved]
Replies: 10
Views: 1879

LXDE: GDBus.Error about ConsoleKit [Solved]

1. I've tried new Porteus-LXDE-v4.0-x86_64.iso on two USB sticks, adding only login=root, and the first thing displayed after the desktop loads is an Error message box: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ConsoleKit was not provided by any .service files I...
by rych
07 May 2018, 11:52
Forum: Intermediate/Advanced User Questions
Topic: upgrade Porteus by overwriting and merging
Replies: 2
Views: 852

upgrade Porteus by overwriting and merging

I have a good working set-up of Porteus 3.2.2 on my best USB stick and just want to upgrade it to Porteus v4.0 of the same configuration (x86_64, LXDE) while keeping the same boot method (don't want UEFI), and all my system and program settings. Can I just copy the new system files over the old ones...
by rych
24 Mar 2018, 04:51
Forum: x86_64 xzm module requests
Topic: Qt5 (for lyx, qpdfview, texstudio) [Solved]
Replies: 9
Views: 2135

Qt5

n0ctilucient, yes I used to have that, it's Qt4. Luckily, the other thread of jssouza had an additional module qtscript-5.9.1-x86_64-1jss.xzm that made it complete for TeXstudio, and now everything works on Qt5.9.1
by rych
23 Mar 2018, 05:36
Forum: x86_64 xzm module requests
Topic: Qt5 (for lyx, qpdfview, texstudio) [Solved]
Replies: 9
Views: 2135

Qt5

jssouza , Actually could I bother you with one last thing: TeXStudio from https://www.texstudio.org/ , please? I'm trying to install a Qt5 build of it, for example, I take an rpm from OpenSuse :texstudio-2.12.8-18.1.x86_64.rpm. Converting to xzm and activating it tells me # texstudio texstudio: err...
by rych
22 Mar 2018, 05:56
Forum: x86_64 xzm module requests
Topic: Qt5 (for lyx, qpdfview, texstudio) [Solved]
Replies: 9
Views: 2135

Qt5

jssouza , Thank you those worked! I also managed to get the qpdfview-Qt5, will now try to get TeXStudio also Qt5, and that's all Qt-apps I'm using I think. Indeed I already had a python-2.7.11-x86_64-bundle.xzm in my modules folder. There's no conflict to roll one over the other I hope, but I'm goi...